> ## Documentation Index
> Fetch the complete documentation index at: https://developer.breakcold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List notes



## OpenAPI

````yaml /v3/api-reference/openapi.json post /notes/list
openapi: 3.0.3
info:
  title: Breakcold OpenAPI
  version: 3.1.0
servers:
  - url: https://api.breakcold.com/rest
security: []
externalDocs:
  url: https://developer.breakcold.com
paths:
  /notes/list:
    post:
      tags:
        - Notes
      summary: List notes
      operationId: note-list
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id_lead:
                  type: string
                thread_id:
                  type: string
                pagination:
                  type: object
                  properties:
                    page_size:
                      type: number
                      minimum: 0
                      maximum: 100
                      default: 50
                    page:
                      type: number
                      minimum: 0
                      default: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    content:
                      type: string
                      nullable: true
                    created_at:
                      type: string
                    updated_at:
                      type: string
                      nullable: true
                    is_deleted:
                      type: boolean
                    is_edited:
                      type: boolean
                    is_pinned:
                      type: boolean
                    is_edited_at:
                      type: string
                      nullable: true
                    is_pinned_at:
                      type: string
                      nullable: true
                    thread_id:
                      type: string
                      nullable: true
                    message_id:
                      type: string
                      nullable: true
                    id_parent:
                      type: string
                      nullable: true
                    id_lead:
                      type: string
                      nullable: true
                    id_space:
                      type: string
                      nullable: true
                  required:
                    - id
                    - content
                    - created_at
                    - updated_at
                    - is_deleted
                    - is_edited
                    - is_pinned
                    - is_edited_at
                    - is_pinned_at
                    - thread_id
                    - message_id
                    - id_parent
                    - id_lead
                    - id_space
                  additionalProperties: true
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY

````